org.springframework.data.geo

## Enum Metrics

- java.lang.Object
- - java.lang.Enum<Metrics>
  - - org.springframework.data.geo.Metrics

All Implemented Interfaces:
  Serializable, Comparable<Metrics>, Metric

    public enum Metrics
    extends Enum<Metrics>
    implements Metric

Commonly used `Metric`s.

Since:
  1.8
Author:
  Oliver Gierke, Thomas Darimont

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`KILOMETERS`
`MILES`
`NEUTRAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAbbreviation()` Returns the scientific abbreviation of the unit the `Metric` is in.
`double` `getMultiplier()` Returns the multiplier to calculate metrics values from a base scale.
`static Metrics` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Metrics[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KILOMETERS

    public static final Metrics KILOMETERS

#### MILES

    public static final Metrics MILES

#### NEUTRAL

    public static final Metrics NEUTRAL

### Method Detail

#### values

    public static Metrics[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Metrics c : Metrics.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Metrics valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMultiplier

    public double getMultiplier()

Description copied from interface: `Metric`
Returns the multiplier to calculate metrics values from a base scale.

Specified by:
  `getMultiplier` in interface `Metric`
Returns:

#### getAbbreviation

    public String getAbbreviation()

Description copied from interface: `Metric`
Returns the scientific abbreviation of the unit the `Metric` is in.

Specified by:
  `getAbbreviation` in interface `Metric`
Returns: